{{ if .IsHome }}
  {{ $.Scratch.Set "title" (.Site.Title | markdownify) }}
  {{ if .Site.Params.subtitle }}{{ $.Scratch.Set "subtitle" (.Site.Params.subtitle | markdownify) }}{{ end }}
  {{ if .Site.Params.bigimg }}{{ $.Scratch.Set "bigimg" .Site.Params.bigimg }}{{ end }}
{{ else }}
  {{ $.Scratch.Set "title" (.Title | markdownify) }}
  {{ if .Params.subtitle }}{{ $.Scratch.Set "subtitle" (.Params.subtitle | markdownify) }}{{ end }}
  {{ if .Params.bigimg }}{{ $.Scratch.Set "bigimg" .Params.bigimg }}{{ end }}
{{ end }}
{{ $bigimg := $.Scratch.Get "bigimg" }}

{{ if or $bigimg ($.Scratch.Get "title") }}
  {{ if $bigimg }}
    <div id="header-big-imgs" data-num-img={{len $bigimg}} {{range $i, $img := $bigimg}}data-img-src-{{add $i 1}}="{{$img.src | absURL }}" {{ if $img.desc}}data-img-desc-{{add $i 1}}="{{$img.desc}}"{{end}}{{end}}></div>
  {{ end }}

  <header class="header-section {{ if $bigimg }}has-img{{ end }}">
    {{ if $bigimg }}
      <div class="intro-header big-img">
        {{ $subtitle := $.Scratch.Get "subtitle" }}
        <div class="container">
          <div class="row">
            <div class="col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1">
              <div class="{{ .Type }}-heading">
                <h1>
                  {{ with $.Scratch.Get "title" }}
                    {{ if eq . "MagnyÉthique" }}
                      <img src="/img/logo-texte.svg" class="logo-texte" />
                    {{ else }}
                      {{ . }}<br/>
                    {{ end }}
                    </h1>
                  {{ end }}
                  {{ if $subtitle }}
                    {{ if eq .Type "page" }}
                      <hr class="small">
                      <span class="{{ .Type }}-subheading">{{ $subtitle }}</span>
                    {{ else }}
                      <h2 class="{{ .Type }}-subheading">{{ $subtitle }}</h2>
                    {{ end }}
                  {{ end }}
                  {{ if eq .Type "post" }}
                    {{ partial "post_meta.html" . }}
                  {{ end }}
              </div>
            </div>
          </div>
        </div>
        <span class="img-desc" style="display: inline;"></span>
      </div>
    {{end}}
    <div class="intro-header no-img">
      {{ $subtitle := $.Scratch.Get "subtitle" }}
      <div class="container">
        <div class="row">
          <div class="col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1">
            <div class="{{ .Type }}-heading">
              <h1>
              {{ with $.Scratch.Get "title" }}
                {{ if eq . "MagnyÉthique" }}
                  <img src="/img/logo-texte.svg" class="logo-texte" />
                {{ else }}
                  {{ . }}<br/>
                {{ end }}
                </h1>
              {{ end }}
                {{ if $subtitle }}
                  {{ if eq .Type "page" }}
                    <hr class="small">
                    <span class="{{ .Type }}-subheading">{{ $subtitle }}</span>
                  {{ else }}
                    <h2 class="{{ .Type }}-subheading">{{ $subtitle }}</h2>
                  {{ end }}
                {{ end }}
                {{ if eq .Type "post" }}
                  {{ partial "post_meta.html" . }}
                {{ end }}
            </div>
          </div>
        </div>
      </div>
    </div>
  </header>
{{ else }}
  <div class="intro-header"></div>
{{ end }}
